# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{rhc}
  s.version = "1.3.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Red Hat"]
  s.date = %q{2013-02-05}
  s.description = %q{The client tools for the OpenShift platform that allow for application management.}
  s.email = %q{dev@lists.openshift.redhat.com}
  s.executables = ["rhc-user-info", "rhc-tail-files", "rhc-sshkey", "rhc-snapshot", "rhc-port-forward", "rhc-domain-info", "rhc-domain", "rhc-ctl-domain", "rhc-ctl-app", "rhc-create-domain", "rhc-create-app", "rhc-app", "rhc"]
  s.files = ["lib/rhc/wizard.rb", "lib/rhc/version.rb", "lib/rhc/vendor/zliby.rb", "lib/rhc/vendor/sshkey.rb", "lib/rhc/vendor/parseconfig.rb", "lib/rhc/vendor/okjson.rb", "lib/rhc/tar_gz.rb", "lib/rhc/ssh_helpers.rb", "lib/rhc/rest/user.rb", "lib/rhc/rest/mock.rb", "lib/rhc/rest/key.rb", "lib/rhc/rest/gear_group.rb", "lib/rhc/rest/domain.rb", "lib/rhc/rest/client.rb", "lib/rhc/rest/cartridge.rb", "lib/rhc/rest/base.rb", "lib/rhc/rest/attributes.rb", "lib/rhc/rest/application.rb", "lib/rhc/rest.rb", "lib/rhc/output_helpers.rb", "lib/rhc/json.rb", "lib/rhc/helpers.rb", "lib/rhc/help_formatter.rb", "lib/rhc/git_helpers.rb", "lib/rhc/exceptions.rb", "lib/rhc/coverage_helper.rb", "lib/rhc/core_ext.rb", "lib/rhc/context_helper.rb", "lib/rhc/config.rb", "lib/rhc/commands/threaddump.rb", "lib/rhc/commands/tail.rb", "lib/rhc/commands/sshkey.rb", "lib/rhc/commands/snapshot.rb", "lib/rhc/commands/setup.rb", "lib/rhc/commands/server.rb", "lib/rhc/commands/port_forward.rb", "lib/rhc/commands/git_clone.rb", "lib/rhc/commands/domain.rb", "lib/rhc/commands/cartridge.rb", "lib/rhc/commands/base.rb", "lib/rhc/commands/apps.rb", "lib/rhc/commands/app.rb", "lib/rhc/commands/alias.rb", "lib/rhc/commands.rb", "lib/rhc/command_runner.rb", "lib/rhc/cli.rb", "lib/rhc/cartridge_helpers.rb", "lib/rhc/autocomplete.rb", "lib/rhc/auth.rb", "lib/rhc.rb", "lib/rhc-common.rb", "lib/rhc/usage_templates/missing_help.erb", "lib/rhc/usage_templates/help.erb", "lib/rhc/usage_templates/command_syntax_help.erb", "lib/rhc/usage_templates/command_help.erb", "lib/rhc/autocomplete_templates/rhc.erb", "conf/express.conf", "LICENSE", "COPYRIGHT", "README.md", "Rakefile", "spec/spec_helper.rb", "spec/spec.opts", "spec/rhc/wizard_spec.rb", "spec/rhc/targz_spec.rb", "spec/rhc/rest_spec.rb", "spec/rhc/rest_client_spec.rb", "spec/rhc/rest_application_spec.rb", "spec/rhc/json_spec.rb", "spec/rhc/helpers_spec.rb", "spec/rhc/context_spec.rb", "spec/rhc/config_spec.rb", "spec/rhc/commands/threaddump_spec.rb", "spec/rhc/commands/tail_spec.rb", "spec/rhc/commands/sshkey_spec.rb", "spec/rhc/commands/snapshot_spec.rb", "spec/rhc/commands/setup_spec.rb", "spec/rhc/commands/server_spec.rb", "spec/rhc/commands/port_forward_spec.rb", "spec/rhc/commands/git_clone_spec.rb", "spec/rhc/commands/domain_spec.rb", "spec/rhc/commands/cartridge_spec.rb", "spec/rhc/commands/apps_spec.rb", "spec/rhc/commands/app_spec.rb", "spec/rhc/commands/alias_spec.rb", "spec/rhc/command_spec.rb", "spec/rhc/cli_spec.rb", "spec/rhc/assets/targz_sample.tar.gz", "spec/rhc/assets/targz_corrupted.tar.gz", "spec/rhc/assets/foo.txt", "spec/rest_spec_helper.rb", "spec/coverage_helper.rb", "features/verify.feature", "features/support/key3.pub", "features/support/key2.pub", "features/support/key2", "features/support/key1.pub", "features/support/key1", "features/support/env.rb", "features/support/before_hooks.rb", "features/support/assumptions.rb", "features/step_definitions/sshkey_steps.rb", "features/step_definitions/domain_steps.rb", "features/step_definitions/client_steps.rb", "features/step_definitions/cartridge_steps.rb", "features/step_definitions/application_steps.rb", "features/sshkey.feature", "features/scaled_application.feature", "features/multiple_cartridge.feature", "features/lib/rhc_helper/sshkey.rb", "features/lib/rhc_helper/runnable.rb", "features/lib/rhc_helper/persistable.rb", "features/lib/rhc_helper/loggable.rb", "features/lib/rhc_helper/httpify.rb", "features/lib/rhc_helper/domain.rb", "features/lib/rhc_helper/commandify.rb", "features/lib/rhc_helper/cartridge.rb", "features/lib/rhc_helper/app.rb", "features/lib/rhc_helper.rb", "features/geared_application.feature", "features/domain.feature", "features/client.feature", "features/cartridge.feature", "features/application.feature", "features/README.md", "bin/rhc-user-info", "bin/rhc-tail-files", "bin/rhc-sshkey", "bin/rhc-snapshot", "bin/rhc-port-forward", "bin/rhc-domain-info", "bin/rhc-domain", "bin/rhc-ctl-domain", "bin/rhc-ctl-app", "bin/rhc-create-domain", "bin/rhc-create-app", "bin/rhc-app", "bin/rhc"]
  s.homepage = %q{https://github.com/openshift/rhc}
  s.post_install_message = %q{===========================================================================

If this is your first time installing the RHC tools, please run 'rhc setup'

===========================================================================}
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{OpenShift Client Tools}
  s.test_files = ["spec/spec_helper.rb", "spec/spec.opts", "spec/rhc/wizard_spec.rb", "spec/rhc/targz_spec.rb", "spec/rhc/rest_spec.rb", "spec/rhc/rest_client_spec.rb", "spec/rhc/rest_application_spec.rb", "spec/rhc/json_spec.rb", "spec/rhc/helpers_spec.rb", "spec/rhc/context_spec.rb", "spec/rhc/config_spec.rb", "spec/rhc/commands/threaddump_spec.rb", "spec/rhc/commands/tail_spec.rb", "spec/rhc/commands/sshkey_spec.rb", "spec/rhc/commands/snapshot_spec.rb", "spec/rhc/commands/setup_spec.rb", "spec/rhc/commands/server_spec.rb", "spec/rhc/commands/port_forward_spec.rb", "spec/rhc/commands/git_clone_spec.rb", "spec/rhc/commands/domain_spec.rb", "spec/rhc/commands/cartridge_spec.rb", "spec/rhc/commands/apps_spec.rb", "spec/rhc/commands/app_spec.rb", "spec/rhc/commands/alias_spec.rb", "spec/rhc/command_spec.rb", "spec/rhc/cli_spec.rb", "spec/rhc/assets/targz_sample.tar.gz", "spec/rhc/assets/targz_corrupted.tar.gz", "spec/rhc/assets/foo.txt", "spec/rest_spec_helper.rb", "spec/coverage_helper.rb", "features/verify.feature", "features/support/key3.pub", "features/support/key2.pub", "features/support/key2", "features/support/key1.pub", "features/support/key1", "features/support/env.rb", "features/support/before_hooks.rb", "features/support/assumptions.rb", "features/step_definitions/sshkey_steps.rb", "features/step_definitions/domain_steps.rb", "features/step_definitions/client_steps.rb", "features/step_definitions/cartridge_steps.rb", "features/step_definitions/application_steps.rb", "features/sshkey.feature", "features/scaled_application.feature", "features/multiple_cartridge.feature", "features/lib/rhc_helper/sshkey.rb", "features/lib/rhc_helper/runnable.rb", "features/lib/rhc_helper/persistable.rb", "features/lib/rhc_helper/loggable.rb", "features/lib/rhc_helper/httpify.rb", "features/lib/rhc_helper/domain.rb", "features/lib/rhc_helper/commandify.rb", "features/lib/rhc_helper/cartridge.rb", "features/lib/rhc_helper/app.rb", "features/lib/rhc_helper.rb", "features/geared_application.feature", "features/domain.feature", "features/client.feature", "features/cartridge.feature", "features/application.feature", "features/README.md"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<net-ssh>, [">= 2.0.11"])
      s.add_runtime_dependency(%q<archive-tar-minitar>, [">= 0"])
      s.add_runtime_dependency(%q<test-unit>, [">= 0"])
      s.add_runtime_dependency(%q<commander>, [">= 4.0"])
      s.add_runtime_dependency(%q<highline>, [">= 1.5.1"])
      s.add_runtime_dependency(%q<rest-client>, [">= 1.6"])
      s.add_runtime_dependency(%q<open4>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0.8.7", "<= 0.9.2.2"])
      s.add_development_dependency(%q<webmock>, [">= 1.6"])
      s.add_development_dependency(%q<rspec>, ["~> 1.3"])
      s.add_development_dependency(%q<fakefs>, [">= 0.4"])
      s.add_development_dependency(%q<thor>, [">= 0"])
      s.add_development_dependency(%q<cucumber>, [">= 0"])
      s.add_development_dependency(%q<dnsruby>, [">= 0"])
      s.add_development_dependency(%q<activesupport>, ["~> 3.0"])
    else
      s.add_dependency(%q<net-ssh>, [">= 2.0.11"])
      s.add_dependency(%q<archive-tar-minitar>, [">= 0"])
      s.add_dependency(%q<test-unit>, [">= 0"])
      s.add_dependency(%q<commander>, [">= 4.0"])
      s.add_dependency(%q<highline>, [">= 1.5.1"])
      s.add_dependency(%q<rest-client>, [">= 1.6"])
      s.add_dependency(%q<open4>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0.8.7", "<= 0.9.2.2"])
      s.add_dependency(%q<webmock>, [">= 1.6"])
      s.add_dependency(%q<rspec>, ["~> 1.3"])
      s.add_dependency(%q<fakefs>, [">= 0.4"])
      s.add_dependency(%q<thor>, [">= 0"])
      s.add_dependency(%q<cucumber>, [">= 0"])
      s.add_dependency(%q<dnsruby>, [">= 0"])
      s.add_dependency(%q<activesupport>, ["~> 3.0"])
    end
  else
    s.add_dependency(%q<net-ssh>, [">= 2.0.11"])
    s.add_dependency(%q<archive-tar-minitar>, [">= 0"])
    s.add_dependency(%q<test-unit>, [">= 0"])
    s.add_dependency(%q<commander>, [">= 4.0"])
    s.add_dependency(%q<highline>, [">= 1.5.1"])
    s.add_dependency(%q<rest-client>, [">= 1.6"])
    s.add_dependency(%q<open4>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0.8.7", "<= 0.9.2.2"])
    s.add_dependency(%q<webmock>, [">= 1.6"])
    s.add_dependency(%q<rspec>, ["~> 1.3"])
    s.add_dependency(%q<fakefs>, [">= 0.4"])
    s.add_dependency(%q<thor>, [">= 0"])
    s.add_dependency(%q<cucumber>, [">= 0"])
    s.add_dependency(%q<dnsruby>, [">= 0"])
    s.add_dependency(%q<activesupport>, ["~> 3.0"])
  end
end
